Subject: [Cfrg] Quotient groups and SPAKE2

From: Watson Ladd <[email-masked]>
Date: Sat, 27 Apr 2019 14:53:16 -0700

Dear all,

When I wrote the -07 I attempted to make sure all operations were
happening in the quotient group. The map from the group to the
quotient group is multiplication by h, and the final answer is
multiplied by some consistent multiple of h, which is invertible so
doesn't affect the security. (An efficiently computable isomorphism
applied consistently can be applied by an attacker is the principle).
-08 attempted to use membership in the prime order group but failed to
specify the check correctly. I hope this clarifies things.

Sincerely,
Watson Ladd